Subject: Request for merging "python-team" branch

From: Sharlatan Hellseher <[email-masked]>
Date: Mon, 20 Jan 2025 21:19:54 +0000

Hi,

Thank you for merging and leading this refresh quest!

> I see that we have Python 3.12, but let's please target 3.11 first.
> It's a small step up from 3.10, and we already know of packages that
> won't work with 3.12.  Let's keep the next iteration of this branch
> simple, please.

While refreshing (now) packages from astronomy module I've faced wit few
failing to build due to hard requirement of Python3.11+ and NumPy 1.27+
or 2.0+ which don't have yet.

I've got a chance to to refresh NumPy to 1.24 but any farther version
failed to build (see notes on the package).

May we give it one more go with NumPy and friends?

--
Oleg